package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 调试故障对象 sim_debug_fault
 *
 * @author tom
 * @date 2025-02-10
 */
public class DebugFault extends BaseEntity {
    
    private static final long serialVersionUID = 1L;

    /**
     * 关联ID
     */
    private Long refId;

    /**
     * 模拟器ID
     */
    @Excel(name = "模拟器ID")
    private Long simId;

    /**
     * 故障ID
     */
    @Excel(name = "故障ID")
    private String faultId;

    /**
     * 选择状态:[7]-未知,[1]-选中,[0]-没有选中
     */
    @Excel(name = "选择状态:[7]-未知,[1]-选中,[0]-没有选中")
    private String flag;

    /**
     * 故障ID关联状态:[0]-初始化,[1]-已经清除故障,[2]故障已经下发,[3]-轮询读取刷新电阻代表值,[4]-考试结束
     */
    @Excel(name = "故障ID关联状态:[0]-初始化,[1]-已经清除故障,[2]故障已经下发,[3]-轮询读取刷新电阻代表值,[4]-考试结束")
    private String refState;

    /**
     * 答题正确:[0]-初始化,[1]-正确,[2]-错误
     */
    @Excel(name = "答题正确:[0]-初始化,[1]-正确,[2]-错误")
    private String answerRight;

    /**
     * 模拟器出题值/电阻代表值
     */
    @Excel(name = "模拟器出题值/电阻代表值")
    private String simFaultQuestionValue;

    /**
     * 模拟器答题值/电阻代表值
     */
    @Excel(name = "模拟器答题值/电阻代表值")
    private String simFaultAnswerValue;

    public void setRefId(Long refId) {
        this.refId = refId;
    }

    public Long getRefId() {
        return refId;
    }

    public void setSimId(Long simId) {
        this.simId = simId;
    }

    public Long getSimId() {
        return simId;
    }

    public void setFaultId(String faultId) {
        this.faultId = faultId;
    }

    public String getFaultId() {
        return faultId;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getFlag() {
        return flag;
    }

    public void setRefState(String refState) {
        this.refState = refState;
    }

    public String getRefState() {
        return refState;
    }

    public void setAnswerRight(String answerRight) {
        this.answerRight = answerRight;
    }

    public String getAnswerRight() {
        return answerRight;
    }

    public void setSimFaultQuestionValue(String simFaultQuestionValue) {
        this.simFaultQuestionValue = simFaultQuestionValue;
    }

    public String getSimFaultQuestionValue() {
        return simFaultQuestionValue;
    }

    public void setSimFaultAnswerValue(String simFaultAnswerValue) {
        this.simFaultAnswerValue = simFaultAnswerValue;
    }

    public String getSimFaultAnswerValue() {
        return simFaultAnswerValue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("refId", getRefId())
                .append("simId", getSimId())
                .append("faultId", getFaultId())
                .append("flag", getFlag())
                .append("refState", getRefState())
                .append("answerRight", getAnswerRight())
                .append("simFaultQuestionValue", getSimFaultQuestionValue())
                .append("simFaultAnswerValue", getSimFaultAnswerValue())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
